//
//  CoreDataAppApp.swift
//  CoreDataApp
//
//  Created by Johan Sas on 17/09/2024.
//

import SwiftUI

@main
struct CoreDataAppApp: App {
    let persistenceController = PersistenceController.shared

    var body: some Scene {
        WindowGroup {
            ContentView()
                .environment(\.managedObjectContext, persistenceController.container.viewContext)
        }
    }
}
