//
//  CombineVIew.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 19/09/2024.
//

import SwiftUI

struct CombineVIew: View {
    
    @ObservedObject var viewModel = CombineViewModel()
    
    var body: some View {
        VStack {
            Text(viewModel.combinedData)
                .font(.largeTitle)
                .padding()
            Button("Start Timer") {
                viewModel.fetchAndCombineData()
            }
        }
    }
}

#Preview {
    
}
