//
//  ReusableView.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 19/09/2024.
//

import SwiftUI

struct ReusableView: View {
    var body: some View {
        CustomButton(title: "Add Item", backgroundColor: .red, textColor: .yellow) {
            addItem()
        }
        CustomButton(title: "Proceed", backgroundColor: .green, textColor: .white) {
            proceed()
            }
        CustomButton(title: "Pay", backgroundColor: .orange, textColor: .black) {
            pay()
        }
        
        
    }
    
    func addItem() {
        print("Add Item")
    }
    
    func proceed() {
        print("Proceed to Checkout")
    }
    
    func pay() {
        print("Pay")
    }
}

#Preview {
    ReusableView()
}
