//
//  Custom Modifiers.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 11/09/2024.
//

import Foundation
import SwiftUI

extension Text {
    func titleStyle() -> Text {
        self
            .font(.largeTitle)
            .foregroundStyle(.orange)
            .bold()
    }
    
    func introStyle() -> Text {
        self
            .font(.caption)
            .foregroundStyle(.gray)
            .italic()
    }
}

