//
//  Performance.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 19/09/2024.
//

import SwiftUI

struct Performance: View {
    @State var toggleState = false
    
    var body: some View {
        VStack {
            if toggleState {
                ExampleView()
            } else {
                ExampleView2()
            }
            Toggle("Switch Views", isOn: $toggleState)
        }
    }
}

struct ExampleView: View {
    var body: some View {
        Text("ExampleView")
    }
}

struct ExampleView2: View {
    var body: some View {
        Text("ExampleView2")
    }
}

#Preview {
    Performance()
}
