//
//  ActivityIndicator.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 11/09/2024.
//

import Foundation
import SwiftUI
import UIKit


struct ActivityIndicator: UIViewRepresentable {
    var animating: Bool
    
    func makeUIView(context: Context) -> UIActivityIndicatorView {
        let activityInidcator = UIActivityIndicatorView()
        return activityInidcator
    }
    
    func updateUIView(_ uiView: UIActivityIndicatorView, context: Context) {
        animating ? uiView.startAnimating(): uiView.stopAnimating()
    }
}
