//
//  MultiPlatformApp.swift
//  Intermediate SwiftUI
//
//  Created by Johan Sas on 19/09/2024.
//

import SwiftUI

struct MultiPlatformApp: View {
    var body: some View {
        VStack {
            #if os(macOS)
            Text("Running on macOS")
                .font(.largeTitle)
                .padding()
            #else
            Text("Running on iOS or iPadOS")
                .font(.title)
                .padding()
            #endif
            
        }
    }
}

#Preview {
    MultiPlatformApp()
}
